Page MenuHomeFreeBSD

Add Budgie desktop
AbandonedPublic

Authored by arrowd on Oct 31 2022, 4:08 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Feb 9, 3:33 AM
Unknown Object (File)
Sat, Feb 3, 11:35 PM
Unknown Object (File)
Fri, Feb 2, 8:03 PM
Unknown Object (File)
Wed, Jan 31, 5:35 PM
Unknown Object (File)
Mon, Jan 29, 7:44 AM
Unknown Object (File)
Jan 23 2024, 1:15 PM
Unknown Object (File)
Jan 15 2024, 10:37 PM
Unknown Object (File)
Jan 3 2024, 7:52 AM

Details

Summary

This is import of complete Budgie desktop, it contains:

  • Uses 'budgie.mk' framework
  • Add virtual category (budgie) in Mk/bsd.port.mk
  • Meta-port x11-wm/budgie
  • New icon theme x11-themes/tela-icon-theme

All ports are also available on my own repository. I have not yet submitted description of budgie framework, but a work in progress page is dedicated on wiki project.

Before to import this diff, some bugs must be committed:

  • bug #265107 → update GSettings keys (they break suspend, I use workaround with dconf profile)
  • bug #266585 → devel/libgee, update to 0.20.6
  • bug #267420 → devel/libpeas, update to 1.34.0 (I've also submitted update to 1.32.0)

Note: x11-wm/budgie-desktop provides polkit agent, it works fine with updates of sysutils/polkit to 121 D35825 and 122 D37137 with Duktape Javascript engine.

Diff Detail

Lint
Lint Skipped
Unit
Tests Skipped

Event Timeline

Add desktop@ team, because devel/libgee should be maintained by them (as lang/vala).

tcberner added inline comments.
Mk/Uses/budgie.mk
2

please run Tools/scripts/indent_make_if.pl and enable the pre-commit hooks of the tree :)

>    git config --add core.hooksPath .hooks
deskutils/budgie-desktop-view/Makefile
3

^ could be DISTVERSION

deskutils/budgie-desktop-view/Makefile
3

I meant that for all of the new ones :)

Nothing new, except update x11/budgie-screensaver to 5.1.0

Nothing new, except update x11/budgie-screensaver to 5.1.0

Build fails on poudriere 13amd64 (using https://codeberg.org/olivierd/freebsd-ports-budgie/wiki/Clone-and-merge):

Program intltool-merge found: NO

meson.build:99:0: ERROR: Program 'intltool-merge' not found or not executable

A full log can be found at /wrkdirs/usr/ports/x11/budgie-screensaver/work/budgie-screensaver-5.1.0/_build/meson-logs/meson-log.txt
===>  Script "configure" failed unexpectedly.
Please report the problem to duchateau.olivier@gmail.com [maintainer] and
attach the
"/wrkdirs/usr/ports/x11/budgie-screensaver/work/budgie-screensaver-5.1.0/_build/meson-logs/meson-log.txt"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. a /usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Fix build textproc/intltool package was missing in some ports.

Run-time dependency ibus-1.0 found: NO (tried pkgconfig)

meson.build:40:0: ERROR: Dependency "ibus-1.0" not found, tried pkgconfig

A full log can be found at /wrkdirs/usr/ports/x11-wm/budgie-desktop/work/budgie-desktop-10.6.4/_build/meson-logs/meson-log.txt

Please test-build in poudriere to make sure you've got all the dependencies there.

This revision now requires changes to proceed.Nov 11 2022, 6:53 PM

Also, how about a taking back your commit bit, and pushing it in yourself?

Macro thankyou_dog:

Update patch (it contains):

  • Fix build dependencies
  • Fix indentation in x11-wm/budgie/files/xprofile.in
  • Add URL for temporary documentation in x11-wm/budgie/files/pkg-message.in → some sections in handbook need to be re-organized

Also, how about a taking back your commit bit, and pushing it in yourself?

Loïc (lbartoletti@) already asked me, and I don't want to go back to being a committer at the moment.

Update patch (it contains):

  • Fix build dependencies
  • Fix indentation in x11-wm/budgie/files/xprofile.in
  • Add URL for temporary documentation in x11-wm/budgie/files/pkg-message.in → some sections in handbook need to be re-organized

Tested and approved.

Also, how about a taking back your commit bit, and pushing it in yourself?

Loïc (lbartoletti@) already asked me, and I don't want to go back to being a committer at the moment.

Maybe one day!

Thanks for your contributions.

Update import diff, for update of deskutils/budgie-trash-applet to 2.1.2 (my patch has been merged by upstream).

I have also submitted updates for:

rene added inline comments.
Mk/Uses/budgie.mk
11

Better have this under desktop@ or maintain it yourself?

Pass maintainership for budgie.mk to the desktop@ team as suggested by @rene.

Pass maintainership for budgie.mk to the desktop@ team as suggested by @rene.

@duchateau.olivier_gmail.com shall I push it in, or do you have some pending changes?

Mk/bsd.port.mk
2570

^ normally there's quite a process for adding new categories, could you please update the patch without the added 'budgie' category?

Update patch without 'budgie' category in Mk/bsd.ports.mk

Mk/Uses/budgie.mk
83

^ why do you need this?

Mk/Uses/budgie.mk
83

Honestly, I don't know if this part is required (or not). I saw, it is present in several .mk files.

I think, it is intended for options in Makefile.

Update x11-themes/budgie-backgrounds to 1.0

arrowd added inline comments.
deskutils/budgie-desktop-view/files/patch-src_budgie__desktop__view.vala
8

What's rationale behind this patch? Maybe put it into the patch header?

deskutils/budgie-desktop-view/files/patch-src_budgie__desktop__view.vala
8

In GLib, we use the kqueue backend, and WATCH_MOVES enum is not available for us. If we send something in trash bin, icon is not updated (despite right signal).

It is same patch (merged by upstream for deskutils/budgie-trash-applet).

This is massive update, the desktop runs fine, a screenshot made with the new screenshot tool.

  • Mk/Uses/budgie.mk update PLIST_SUB macro for Raven plugins directory
  • deskutils/budgie-desktop-view update to 1.2.1
  • sysutils/budgie-control-center update to 1.2.0
  • x11-themes/tela-icon-theme update to 2023-02-03
  • x11-wm/budgie-desktop update to 10.7 and adjust patches
Mk/Uses/budgie.mk
24

Why is this needed? Isn't it a default?

x11-wm/Makefile
16 ↗(On Diff #116528)

I don't think budgie-desktop really belongs to x11-wm. It is not a window manager. The gnome-desktop port, for instance, belongs to x11 category.

Same goes for budgie metaport.

x11-wm/budgie/Makefile
41 ↗(On Diff #116528)

Personally, I expect a metaport to not install any files. What do others think?

Apply @arrowd's suggestions:

  • move budgie-desktop and budgie in x11 category
  • drop superfluous test for MASTER_SITES macro (historically it was for pre-release of budgie-backgrounds, we still need to check repository because deskutils/budgie-trash-applet is not an official application)
x11-wm/budgie/Makefile
41 ↗(On Diff #116528)

It provides settings for appearance, Nautilus and gnome-desktop, how can we do otherwise?

.override file needs to be compiled (it is GLib schema), place this file in EXAMPLESDIR is not useful for end user.

x11-wm/budgie/Makefile
41 ↗(On Diff #116528)

Can't we make x11-wm/budgie-desktop install these files?

Update patch:

  • move 25_org.buddiesofbudgie-default-settings.gschema.override into x11/budgie-desktop
  • add new patch, use better icon for user information in budgie-menu

I had to add budgie category to Mk/bsd.port.mk to make sanity-check pass for each added port.

Mk/Uses/budgie.mk
25

I think, it won't hurt to define MASTER_SITE_BUDGIE[_SUBDIR] variables unconditionally.

deskutils/budgie-desktop-view/files/patch-src_budgie__desktop__view.vala
8

Can you please put this short description into the patch's header?

Build-tested on 14-CURRENT. I'd say this is fine after my last comments get addressed.

Update diff:

  • Add comment in deskutils/budgie-desktop-view/files/patch-src_budgie__desktop__view.vala
  • Add budgie category in Mk/bsd.port.mk

@duchateau.olivier_gmail.com Can you please either address all comments in this diff or reply to them why you think they shouldn't be addressed?

@duchateau.olivier_gmail.com Can you please either address all comments in this diff or reply to them why you think they shouldn't be addressed?

What do you mean? I don't understand, which comments?

What do you mean? I don't understand, which comments?

If you scroll down to diffs you'll see the 1/12 Comments button at the top right corner. Clicking it will move you to the line which has an unresolved comment associated with it. You can mark such comments as resolved.

Update patches, nothing new compared to diff 117645 except a fix to avoid core of gnome-settings daemon when clock panel is clicked (this is disabled by default in budgie-control-center, because it requires org.freedesktop.timedate1 service).

Crash occurs since the 10.7 release, after refactoring of panel plugins by upstream.

arrowd abandoned this revision.
arrowd edited reviewers, added: duchateau.olivier_gmail.com; removed: arrowd.